.btn {
  display: inline-block;
  font-weight: 500;
  font-size: 12px;
  line-height: 18px;
  transition: all $easing;

  &_filled {
    background-color: $accent;
    color: $white;
    padding: 10px 16px;
    border-radius: 4px;

    &:hover,
    &:focus {
      background-color: $accent-hover;
    }
  }

  &_texted {
    color: $accent;

    &:hover,
    &:focus {
      color: $accent-hover;
    }
  }

  @include media-breakpoint-up(lg) {
    font-size: 16px;
    line-height: 19px;

    &_filled {
      padding: 10px 32px;
    }
  }
}
